WSLGSU(1)

NAME
wslgsu - Component of WSL Utilities

SYNOSIS
wslgsu [-u USERNAME] [-n NAME] [-S]

wslgsu [-hv] SERVICE/COMMAND

DESCRIPTION
This tool allows you to generate a WSL startup Task using the Windows Task Scheduler.

OPTIONS

-h, --help
    Print a simple help.

-v, --version
    Print current version.

-u, --username USERNAME
    Use a separate user to execute the command/service. By default it's root.

-n, --name NAME
    Add an explicit name instead of the default of automatically extracting a name from the service/command.

-S, --service
    Using this option means you are addng a system service. without -S, you are adding a command to system.

AUTHOR
Created by Patrick Wu <me@patrickwu.space>

REPORTING BUGS
Report bugs to <https://github.com/wslutilities/wslu/issues>

COPYRIGHT
This is free software; you can redistribute it and/or modify it under the terms of the GNU GPL version 3 or (at your option) any later version. There is NO warranty; not even MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wslu(7)